ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Classes | Functions | Variables
odf.element Namespace Reference

## Classes
class | CDATASection
class | Childless
| Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children. More...
class | Element
| Creates a arbitrary element and is intended to be subclassed not used on its own. More...
class | IllegalChild
| Complains if you add an element to a parent where it is not allowed. More...
class | IllegalText
| super class for more specific nodes More...
class | Node
class | Text

## Functions
| _range_seq_to_re (range_seq)
| _handle_unrepresentable (data)
| _escape (data, entities={})
| Escape &, <, and > in a string of data.
| _sanitize (data, entities={})
| _quoteattr (data, entities={})
| Escape and quote an attribute value.
| _nssplit (qualifiedName)
| Split a qualified name into namespace part and local part.
| _nsassign (namespace)
| _append_child (self, node)

## Variables
| unicode = str
| unichr = chr
tuple | _xml11_illegal_ranges
| _xml10_illegal_ranges
tuple | _xml_discouraged_ranges
| _xml_filtered_chars_re

## Function Documentation

## ◆ _append_child()

odf.element._append_child | ( |  | self,
|  |  | node
| ) |  |
| protected

Definition at line 277 of file element.py.

Here is the caller graph for this function:

## ◆ _escape()

odf.element._escape | ( |  | data,
|  |  | entities = `{}`
| ) |  |
| protected

Escape &, <, and > in a string of data.

       You can escape other strings of data by passing a dictionary as
       the optional entities parameter.  The keys and values must all be
       strings; each key will be replaced with its corresponding value.

Definition at line 117 of file element.py.

Here is the caller graph for this function:

## ◆ _handle_unrepresentable()

odf.element._handle_unrepresentable | ( |  | data | ) |
| protected

Definition at line 103 of file element.py.

Here is the caller graph for this function:

## ◆ _nsassign()

odf.element._nsassign | ( |  | namespace | ) |
| protected

Definition at line 163 of file element.py.

Here is the caller graph for this function:

## ◆ _nssplit()

odf.element._nssplit | ( |  | qualifiedName | ) |
| protected

Split a qualified name into namespace part and local part.

Definition at line 156 of file element.py.

## ◆ _quoteattr()

odf.element._quoteattr | ( |  | data,
|  |  | entities = `{}`
| ) |  |
| protected

Escape and quote an attribute value.

       Escape &, <, and > in a string of data, then quote it for use as
       an attribute value.  The \" character will be escaped as well, if
       necessary.

       You can escape other strings of data by passing a dictionary as
       the optional entities parameter.  The keys and values must all be
       strings; each key will be replaced with its corresponding value.

Definition at line 140 of file element.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ _range_seq_to_re()

odf.element._range_seq_to_re | ( |  | range_seq | ) |
| protected

Definition at line 89 of file element.py.

## ◆ _sanitize()

odf.element._sanitize | ( |  | data,
|  |  | entities = `{}`
| ) |  |
| protected

Definition at line 125 of file element.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## ◆ _xml10_illegal_ranges

odf.element._xml10_illegal_ranges
| protected

Definition at line 50 of file element.py.

## ◆ _xml11_illegal_ranges

odf.element._xml11_illegal_ranges
| protected

Definition at line 41 of file element.py.

## ◆ _xml_discouraged_ranges

odf.element._xml_discouraged_ranges
| protected

Definition at line 59 of file element.py.

## ◆ _xml_filtered_chars_re

odf.element._xml_filtered_chars_re
| protected

Definition at line 101 of file element.py.

## ◆ unichr

odf.element.unichr = chr

Definition at line 36 of file element.py.

## ◆ unicode

odf.element.unicode = str

Definition at line 35 of file element.py.